# BEGIN SourceDeps(oneline):
BuildRequires: perl(Apache/Constants.pm) perl(Apache/ExtUtils.pm) perl(Apache/ModuleConfig.pm) perl(Apache/src.pm) perl(Benchmark.pm) perl(CGI.pm) perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(LWP.pm) perl(LWP/UserAgent.pm) perl(Storable.pm) perl(Test.pm) perl(Text/Wrap.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.4.1
%define module_name PML
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.4.1
Release: alt1
Summary: >parse('/path/to/somefile');
Group: Development/Perl
License: perl
Url: %CPAN %module_name
BuildArch: noarch

Source0: http://cpan.org.ua/authors/id/P/PJ/PJONES/%module_name-%module_version.tar.gz

%description
PML is a powerful text preprocessor. It supports such things as
variables, flow control and macros. After preprocessing a text file
it returns the result to your Perl script. The power comes from
the fact that you can even embed Perl code into the file that is
getting processed.

PML was originaly designed to seperate a Perl CGI script and the
HTML that it generates. What sets PML apart from other similar
solutions is that it is not just a web solution using mod_perl.
You can parse PML files from the command line using the supplied
pml script or from within your Perl scripts using the PML Perl
module.

If you do have mod_perl, you can use the supplied mod_pml Apache
module to parse PML files from within the Apache web server.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc examples/WARNING CHANGES TODO BUGS COPYRIGHT README doc examples
%perl_vendor_privlib/P*
#perl_vendor_autolib/*

%files scripts
%_bindir/*

%changelog
* Mon Apr 14 2014 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1
- initial import by package builder

